onionshare(1)

NAME
onionshare - a tool for anonymously sharing and receiving files over a temporarily set up Tor Hidden service.

SYNOPSIS
onionshare [ -v ] [ --filenames filenames... ]

DESCRIPTION

OnionShare lets you anonymously share files, or receive files. From version 2.2, OnionShare can also be used as a webserver through which static HTML files can be served. OnionShare has four different operating modes: the default for sharing files, receive mode for receiving files, public mode for sharing files with a large audience, and website mode.

When using OnionShare, a web server is started, making OnionShare accessible as a Tor Onion Service, over the Internet. An unguessable address is generated and can be shared for the recipient to open in a tor client, such as Tor Browser, to download, upload, or consult files. Traffic between their device and your onion service end-to-end encrypted. No separate server or third party file-sharing service required. You host the files on your own computer, acting as a server, for as long as the program is running.

OnionShare can be configured to run with it's built-in version of tor, a TorBrowser or system tor running in the background. By default, OnionShare uses its built-in version of Tor.

OnionShare's default behaviour is to shut down the hidden service and to stop once the files have been up or downloaded.

Public mode In case of sharing the unguessable URL with many peers, please enable "Public mode", otherwise OnionShare might interpret multiple accesses as an attack and shut down the hidden service.

Receive Mode lets people upload files to your OnionShare via Tor Browser.

Website Mode allows you to publish a website as an onion service. When selecting the files to share, make sure you select multiple files in a folder if you want the entire directory to be published as a website. When the directory contains an index.html file (along with any static files such as images, CSS etc), then the site will be viewable on the Tor network as an onion service as the actual website itself (not as an OnionShare interface). The onion service will render HTML in Tor Browser just like any other website. If you don't have an index.html, OnionShare will show a directory listing of your files instead. In directory listing, each file can be opened, and there is no download button for the compressed archive. OnionShare does not share your original website files. Instead, it creates a copy of those files in a temporary folder and shares those copies.

Automatic start and stop The auto-start timer allows you to schedule a share to start at some time in the future.

For detailed and up-to-date information such as using OnionShare with bridges, refer to the authors' public documentation at https://github.com/micahflee/onionshare/wiki/

OPTIONS

-h, --help
    show this help message and exit

--local-only
    Don't use Tor (only for development)

-v, --verbose
    Log OnionShare errors to stdout, and web errors to disk

--filenames filenames [filenames ...]
    List of files or folders to share